HEX
1
BRL-CAD
BRL-CAD

# hex

Hexadecimal and ASCII dump

      hex
        -o offset
        file

## DESCRIPTION

Hex reads each file in sequence and produces a dump on the standard output in hexadecimal and ASCII. If no files are specified on the command line, `hex` checks to to be sure the standard input is not coming from a terminal before dumping from the standard input.

Input is dumped 16 bytes at a time. The program displays the offset from the beginning of the file/input in hexadecimal, followed by the hexadecimal representations for the next 16 bytes of data, and their ASCII character representations. Non-printing characters are displayed as a period (".") in the ASCII section. Vertical bars delimit the ASCII section.

If multiple files are specified on the command line, each file's name is printed before its dump.

## OPTIONS

`-o offset`

  start printing at byte position offset instead of at the beginning of the data. Offset is rounded down to a multiple of 16.

## SEE ALSO

od

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1989-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.